-- 古镇秘藏 建筑详情Window
Lua_TownTreasureBuildWindow = class("Lua_TownTreasureBuildWindow", Lua_Window);

function Lua_TownTreasureBuildWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true;
	self.isClickClose = true;

	self.windowName = "Lua_TownTreasureBuildWindow";
	self.skinName = "TownTreasureBuildWindow_skin";
end

function Lua_TownTreasureBuildWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.curBar.typeValue = 3;
	self.curBar.fillMethodValue = 0;
	self.curBar.fillOrigin = 0;

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(0, 58.7, 0);
end

function Lua_TownTreasureBuildWindow:showWin(param)
	self:superCall("showWin", param);

	self.titleName.text = param.building_name;
	self.levelTxt.text = LanUtil.formateStr(710014, param.level, param.max_level);

	local itemVo = Lua_ToolVo.createToolVo(param.itemId, param.value);
	self.itemIcon:setData(itemVo);

	local remianNum = param.output_time - param.curTime;
	self.tipTxt.text = LanUtil.formateStr(710015, remianNum, itemVo.name, param.output);
	self.outputTxt.text = LanUtil.formateStr(710016, param.output, param.output_time);

	self.curBar:setMaxValue(param.limit);
	self.curBar:setValue(param.value);
	self.curBar:setText(param.value .. "/" .. param.limit);
end

function Lua_TownTreasureBuildWindow:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end
