-- 古镇秘藏 骰子购买Window
Lua_TownTreasureDiceBuyWindow = class("Lua_TownTreasureDiceBuyWindow", Lua_Window);

function Lua_TownTreasureDiceBuyWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true
	self.isClickClose = true;

	self.windowName = "Lua_TownTreasureDiceBuyWindow";
	self.skinName = "TownTreasureDiceBuyWindow_skin";
end

function Lua_TownTreasureDiceBuyWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.numberInputItem = Lua_NumberInputItem.new(self.content);
	self.numberInputItem.inputText.fontName = Lua_MyUISettings.fangzhengFontName;
	self.numberInputItem.inputText.fontSize = 32;
	self.numberInputItem.inputText.colorStr = Lua_ColorDefine.transColor("806b57");
	self.numberInputItem:setCallBack(self, self.updateCount);

	self.sureBtn:addClickFuntion(self, self.onSureBtnClick);

	self:updateShow();
end

function Lua_TownTreasureDiceBuyWindow:showWin(param)
	self:superCall("showWin", param);

	self.isBuyDice = param;
end

function Lua_TownTreasureDiceBuyWindow:dispose()
	if not self.isBuyDice then
		Lua_MsgUtil.callFunc("TOWN_TREASURE_RESET_CHECK");
	end
	if self.numberInputItem ~= nil then
		self.numberInputItem:dispose();
		self.numberInputItem = nil;
	end
	self:superCall("dispose");
end

function Lua_TownTreasureDiceBuyWindow:updateShow()
	self.costInfo = DataCenter.townTreasureUtil:getConstConfig("buy_cost", 3)[1];
	self.packNum = DataCenter.packData:getItemCountById(self.costInfo[1]);
	local vo = Lua_ResourcesData.getConfigDataById(self.costInfo[1]);
	self.itemIcon:setAltas(vo.iconAtlas, vo.iconSprite);
	self.itemTxt.text = self.costInfo[2];
	self.tipTxt.text = LanUtil.formateStr(710018, DataCenter.vipData.level, DataCenter.townTreasureData.buyTime);

	self.selectNum = 1;
	self.buyMaxNum = DataCenter.townTreasureData.buyTime;

	if self.buyMaxNum <= 0 then
		self.numberInputItem:setBtnGray(true);
		self.sureBtn:setBtnEnable(false);
	end

	if self.buyMaxNum < 1 then self.buyMaxNum = 1 end
	self.numberInputItem:setValue(1, 1, self.buyMaxNum);
	
	self:updateShowTxt();
end

function Lua_TownTreasureDiceBuyWindow:updateCount(val)
	self.selectNum = val;
	self:updateShowTxt();
end

function Lua_TownTreasureDiceBuyWindow:updateShowTxt()
	self.costNum = self.selectNum * self.costInfo[2];
	if self.costNum <= self.packNum then
		self.itemTxt.text = Lua_ColorDefine.getColorStr("ffffff", self.costNum);
	else
		self.itemTxt.text = Lua_ColorDefine.getColorStr("ee2c24", self.costNum);
	end
end

function Lua_TownTreasureDiceBuyWindow:onSureBtnClick()
	if self.costNum <= self.packNum then
		self.isBuyDice = true;
		Lua_ProxyManager.getProxy("Lua_TownTreasureProxy"):sBuyDiceCount(self.selectNum);
	else
		DataCenter.packUtil:openPathWindow(self.costInfo[1]);
	end
	self:hide();
end