-- 古镇秘藏 特殊骰子Window
Lua_TownTreasureDiceWindow = class("Lua_TownTreasureDiceWindow", Lua_Window);

function Lua_TownTreasureDiceWindow:ctor()
	self:superCall("ctor");

	self.blackAlpha = 0.01;
	self.showBlackMask = true;
	self.isClickClose = true;
	self.isFullSizeWin = true;

	self.windowName = "Lua_TownTreasureDiceWindow";
	self.skinName = "TownTreasureDiceWindow_skin";
end

function Lua_TownTreasureDiceWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self:addLuaEvent("TOWN_TREASURE_SELECT_DICE", self, self.onSelectDice);
end

function Lua_TownTreasureDiceWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemId = DataCenter.townTreasureUtil:getConstConfig("special_dice", 1);

	self.itemArr = Array();
	local item;
	local range = DataCenter.townTreasureUtil:getConstConfig("dice_range", 3);
	for i = 1, range[2] do
		item = Lua_TownTreasureDiceItem.new(self.content, i);
		item:setRectAnchor(7);
		item:setLocation(14 + (i - 1) * 62, 347.5, 0);
		self.itemArr:add(item);
	end
end

function Lua_TownTreasureDiceWindow:dispose()
	if self.itemArr ~= nil then
		self.itemArr:dispose();
		self.itemArr = nil;
	end
	self:superCall("dispose");
end

function Lua_TownTreasureDiceWindow:onSelectDice(idx)
	if DataCenter.packData:getItemCountById(self.itemId) >= 1 then
		Lua_ProxyManager.getProxy("Lua_TownTreasureProxy"):sUseSpecialItem(self.itemId, idx);
	else
		OperateAlert.showLangValue(710029);
	end
	self:hide();
end













Lua_TownTreasureDiceItem = class("Lua_TownTreasureDiceItem", Lua_DisplayObject);

function Lua_TownTreasureDiceItem:ctor(p, index)
	self.index = index;
    self:superCall("ctor", p, "TownTreasureDiceItem_skin");
end

function Lua_TownTreasureDiceItem:buildShowItem()
    self:superCall("buildShowItem");

    self.bg:setAltas("townTreasure_atlas", "xui_gcmz_button_" .. (1 + self.index));

    self.bg:addClickFuntion(self, self.onBgClick);
end

function Lua_TownTreasureDiceItem:dispose()
	self:superCall("dispose");
end

function Lua_TownTreasureDiceItem:onBgClick()
	Lua_MsgUtil.callFunc("TOWN_TREASURE_SELECT_DICE", self.index);
end
