-- 古镇秘藏 起点奖励window
Lua_TownTreasureLoopRewardWindow = class("Lua_TownTreasureLoopRewardWindow", Lua_Window);

function Lua_TownTreasureLoopRewardWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true
	self.isClickClose = true;

	self.windowName = "Lua_TownTreasureLoopRewardWindow";
	self.skinName = "TownTreasureLoopRewardWindow_skin";
end

function Lua_TownTreasureLoopRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tipTxt:setLangValue(710035);

	local list = DataCenter.townTreasureData:getLoopRewardConfig(DataCenter.townTreasureData.loopTime);
	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(0, 0, 0);
	self.rewardList:setArrayData(list);

	if DataCenter.townTreasureData.isOpenAuto then
		self.time = DataCenter.townTreasureUtil.closeSec;
		self.timeTxt.text = LanUtil.formateStr(710031, self.time);
		self:addTimer("onTimer", 1, self, self.onTimer);
	end

	self.getBtn:addClickFuntion(self, self.hide);
end

function Lua_TownTreasureLoopRewardWindow:dispose()
	self:getRewardClick();
	
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end

function Lua_TownTreasureLoopRewardWindow:getRewardClick()
	if DataCenter.townTreasureData.loopTime <= 0 then return end
	
	local list = DataCenter.townTreasureData:getLoopRewardConfig(DataCenter.townTreasureData.loopTime);
	local rewardArr = Array();
	for i = 1, #list do
		rewardArr:add(Lua_ToolVo.createToolVo(list[i][1], list[i][2]));
	end

	local dic = {closeFun = function() Lua_MsgUtil.callFunc("TOWN_TREASURE_PLAY") end, data = rewardArr};
	if DataCenter.townTreasureData.isOpenAuto then
		dic.countDown = DataCenter.townTreasureUtil.closeSec;
	end
	Lua_WindowUtil.openWin("Lua_TownTreasureRewardTipWindow", Lua_WinParam.ACTION_OPEN, dic);
end

function Lua_TownTreasureLoopRewardWindow:onTimer()
	self.time = self.time - 1;
	if self.time <= 0 then
		self:removeTimer(self, self.onTimer);
		self.timeTxt.text = "";
		self:hide();
	else
		self.timeTxt.text = LanUtil.formateStr(710031, self.time);
	end
end