-- 古镇秘藏 任务window
Lua_TownTreasureTaskWindow = class("Lua_TownTreasureTaskWindow", Lua_Window);

function Lua_TownTreasureTaskWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true
	self.isClickClose = true;

	self.windowName = "Lua_TownTreasureTaskWindow";
	self.skinName = "TownTreasureTaskWindow_skin";
end

function Lua_TownTreasureTaskWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self:addLuaEvent("TOWN_TREASURE_TASK_INFO", self, self.updateInfo);
end

function Lua_TownTreasureTaskWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 627, 660, Lua_AxisDefine.Vertical);
  	self.dragList:setListCell(Lua_TownTreasureTaskItem, 627, 172, 1);
	self.dragList:setLocation(-1, 16, 0);

	self.oneKeyBtn:addClickFuntion(self, self.onOneKeyBtnClick);

	Lua_ProxyManager.getProxy("Lua_TownTreasureProxy"):sTaskInfo();
end

function Lua_TownTreasureTaskWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self:superCall("dispose");
end

function Lua_TownTreasureTaskWindow:updateInfo(arr)
	self.dragList:setArrayData(arr);
	self.oneKeyBtn:setGray(DataCenter.townTreasureData.rewardState == false);
end

function Lua_TownTreasureTaskWindow:onOneKeyBtnClick()
	if DataCenter.townTreasureData.rewardState then
		Lua_ProxyManager.getProxy("Lua_TownTreasureProxy"):sGetTaskReward(0);
	else
		OperateAlert.showLangValue(710030);
	end
end

























Lua_TownTreasureTaskItem = class("Lua_TownTreasureTaskItem", Lua_ListCell);

function Lua_TownTreasureTaskItem:ctor(p)
	self:superCall("ctor", p, "TownTreasureTaskItem_skin");
end

function Lua_TownTreasureTaskItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList.pivot = 1;
	self.rewardList.scaleVal = 0.74;
	self.rewardList:setLocation(-244, -20, 0);

	self.getBtn:addClickFuntion(self, self.onGetBtnClick);
end

function Lua_TownTreasureTaskItem:dispose()
	self:superCall("dispose");
end

function Lua_TownTreasureTaskItem:setData(data)
	self.data = data;

	self.titleTxt.text = LanUtil.formateStr(710020, data.id);
	self.rewardList:setArrayData(data.reward);

	if data.state < 0 then
		self.getBtn:setLangValue(710021);
		self.getBtn:setGray(false);
		self.getBtn:setMouseEnable(true);
	else
		self.getBtn:setLangValue(710022);
		self.getBtn:setGray(true);
		self.getBtn:setMouseEnable(false);
	end
	self.finishIcon:setEnable(data.state >= 1000);
	self.getBtn:setEnable(data.state < 1000);
end

function Lua_TownTreasureTaskItem:onPressClick()
	self.rewardList:onBoundClick();
end

function Lua_TownTreasureTaskItem:onGetBtnClick()
	if self.data.state < 0 then
		Lua_ProxyManager.getProxy("Lua_TownTreasureProxy"):sGetTaskReward(self.data.id);
	end
end